# Test Case - <%= number %> - <%= title %>

### Result: <%= result %>

<% if result.end_with?('error') -%>
#### Error explanation

<%= error_explanation %>
<% end -%>

### Description

<%= description %>

<% if !video.nil? && !video.empty? -%>
### Video
![Recorded Demo](<%= video %>)
<% end -%>

### Epics
<% epics.each do |item| -%>
* <%= item %>+
<% end -%>

### Issues
<% issues.each do |item| -%>
* <%= item %>+
<% end -%>

## Preparation
<% preparation.each do |item| -%>
1. <%= item %>
<% end -%>

## Steps
<% steps.each do |step, expected_results| %>
1. <%= step %>
   <details>
   <summary>Expected results</summary>

   <% expected_results.each do |result| -%>
   * <%= result %>
   <% end -%>

   </details>
<% end %>
